#include <stdio.h>
#include <syscall.h>

#include "xfs_message.h"
#include "xfs_syscalls.h"

static
_syscall5(int, afs_syscall,
	  int, operation,
	  char *, a_pathP,
	  int, a_opcode,
	  struct ViceIoctl *, a_paramsP,
	  int, a_followSymlinks)
void
usage(void)
{
    printf("usage: setdebug <on|off>\n");
    exit(1);
}

int main(int argc, char **argv)
{
    int retval;

    if (argc != 2)
	usage();

    if (strcmp(argv[1], "on") == 0) {
	retval = afs_syscall(AFSCALL_XFS, NULL, XFSSYSCALL_SET_DEBUG, NULL, 0);
    } else if (strcmp(argv[1], "off") == 0) {
	retval = afs_syscall(AFSCALL_XFS, NULL, XFSSYSCALL_CLEAR_DEBUG, NULL, 0);
    } else {
	usage();
    }
}

